AnsweredAssumed Answered

NFC PN7120 with iMX6q under Android 5.0

Question asked by Youhua Chen on Mar 22, 2016
Latest reply on Mar 22, 2016 by Gary Bisson

I have a project job to use the nfc tag PN7120 under the Android system 5.0.

i follow up the guide AN11690 and AN11697 to install the kernel driver successfully and i2c bus also is initialized successfully, the device node is created too.

now i want a quick test app to verify the work of this nfc device. i still follow up the steps in the user guide. but when i merged the lifnfc-nci with the latest update provided by nxp from https://github.com/NXPNFCLinux/android_nxp-nci

there are so many errors coming out, like miss some aidl files, packages are not available.

i get confused if the android-nxp-nci is able to work with Android 5.0, or have to use with Android 6.0.

if the libnfc-nci does not work, is there any way to write simple program to talk to the kernel driver directly?

Outcomes